## highway 1.3.1~git20251202.ee36c83

=== debian/changelog ===
highway (1.3.1~git20251202.ee36c83-3) experimental; urgency=medium

  * d/rules: Really reduce parallel on x32
  * d/patches: Another round of fixes for arm64

 -- Mathieu Malaterre <malat@debian.org>  Wed, 10 Dec 2025 19:09:50 +0100

highway (1.3.1~git20251202.ee36c83-2) experimental; urgency=medium

  * d/patches: Fix s390x compilation with gcc15
  * d/rules: Reduce memory pressure on x32
  * d/rules: Fix compilation on arm64

 -- Mathieu Malaterre <malat@debian.org>  Sat, 06 Dec 2025 13:31:05 +0100

highway (1.3.1~git20251202.ee36c83-1) experimental; urgency=medium

  [ Mathieu Malaterre ]
  * d/patches: Properly handle neon and subnormals
  * New upstream version 1.3.1~git20251202.ee36c83
  * d/patches: Refresh patches
  * d/symbols: Update symbols file

 -- Mathieu Malaterre <malat@debian.org>  Thu, 04 Dec 2025 08:45:00 +0100
