=== debian/control ===
Source: highway
Section: libs
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.22.5),
               libgtest-dev,
               ninja-build
Build-Depends-Indep: ghostscript
Standards-Version: 4.7.2
Homepage: https://github.com/google/highway
Vcs-Git: https://salsa.debian.org/debian-phototools-team/highway.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/highway
Rules-Requires-Root: no

Package: libhwy1t64
Provides: ${t64:Provides}
Replaces: libhwy1
Breaks: libhwy1 (<< ${source:Version})
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Efficient and performance-portable SIMD wrapper (runtime files)
 This library provides type-safe and source-code portable wrappers over
 existing platform-specific intrinsics. Its design aims for simplicity,
 reliable efficiency across platforms, and immediate usability with current
 compilers.
 .
 This package installs the highway runtime files.

Package: libhwy-dev
Architecture: any
Section: libdevel
Depends: libhwy1t64 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Efficient and performance-portable SIMD wrapper (developer files)
 This library provides type-safe and source-code portable wrappers over
 existing platform-specific intrinsics. Its design aims for simplicity,
 reliable efficiency across platforms, and immediate usability with current
 compilers.
 .
 This package installs the highway development files.

Package: highway-doc
Architecture: all
Section: doc
Depends: doc-base, ${misc:Depends}
Description: Efficient and performance-portable SIMD wrapper (documentation files)
 This library provides type-safe and source-code portable wrappers over
 existing platform-specific intrinsics. Its design aims for simplicity,
 reliable efficiency across platforms, and immediate usability with current
 compilers.
 .
 This package installs the highway documentation files.
