=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,pretty=1.3.1~git%cd.%h" \
https://github.com/google/highway \
HEAD debian uupdate
